<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gxwebsoft.shop.mapper.UserCardStatsMapper">

    <select id="selectBalancePoints" resultType="java.util.HashMap">
        SELECT balance, points
        FROM gxwebsoft_core.sys_user
        WHERE user_id = #{userId}
          AND deleted = 0
        <if test="tenantId != null">
          AND tenant_id = #{tenantId}
        </if>
    </select>

</mapper>

